Subject: Re: bug#19346: 25.0.50; url-http-parse-headers: Symbol's function definition is void: gnutls-available-p

From: Ted Zlatanov <[email-masked]>
Date: Thu, 11 Dec 2014 19:21:35 -0500

On Thu, 11 Dec 2014 19:02:04 -0500 Stefan Monnier <[email-masked]> wrote: 

>>> As Stefan mentioned we'll need this for dynamic modules as well, so
>>> a generic solution would be greatly appreciated, if you have
>>> something in mind.

SM> I'm not sure I made myself clear.
SM> AFAICT for dynamically-loaded modules we won't need any such
SM> foo-available-p function, instead we'll use (require '<modulename> nil t).
SM> After all, any such foo-available-p won't be fboundp before loading the
SM> module, so it would necessarily suffer from the problem we're facing
SM> with gnutls-available-p.

Right, I'm saying `(require '<modulename> nil t)' should define
`modulename-available-p' automatically for dynamic modules, based on
whether the module was loaded successfully. It shouldn't be manually
managed by the module author like the GnuTLS integration (unless they
explicitly override it).

Ted